
Infrastructure - Task #6731

Story # 6723 (Closed): test v2 MN and CN buildouts

test new tests against v1 MNs and CNs

2015-01-06 18:44 - Rob Nahf

Status: Closed Start date: 2015-01-06

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

as a sanity check

Related issues:

Blocked by Infrastructure - Task #6737: refactor existing API test classes Closed 2015-01-06

Associated revisions

Revision 15129 - 2015-01-30 21:49 - Andrei Buium

Fixed a bug in APITestUtils.buildPerson() - array[array.length] would always throw exceptions if it were hit.

Switched a couple of the Identity API test methods to test the negative cases and added a couple test methods. (We can't go adding test accounts yet

without having a removeAccount() method.)

refs #6731

Revision 15133 - 2015-02-03 17:42 - Andrei Buium

Fixed a couple bugs in integration tests.

CNRegisterV1ITljava

- getCoordingNodeIterator() was overridden in order to return an iterator of Nodes that are schema compliant (though with bogus description, etc)

because deserialization on the CN validates against the schema and fails otherwise.

CNAuthTestImplementations.java

- this was one of the methods that would hang (setAccessPolicy). Setting the timeout milliseconds is a work-around for this. Interestingly, setting it

makes the method return the expected data right away (as opposed to just making it timeout). Needs more looking into.

CNCallAdapter.java

- had to pass v1 Node types to the v1 API call

refs #6731

History

#1 - 2015-01-21 23:13 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 30

have the framework set up, as well as a compilable v2 version.  Still need to do a formal side-by-side v1-v2 comparison.
#2 - 2015-01-21 23:13 - Rob Nahf

- Blocked by Task #6737: refactor existing API test classes added

#3 - 2015-01-27 17:43 - Andrei Buium

The v1 MN API tests results are now matching up with the results of the WebTester.

#4 - 2015-01-27 18:40 - Andrei Buium

- % Done changed from 30 to 50

Since v1 MN API tests are matching up with existing WebTester results, I'll be starting on comparing / fixing the CN tests.

#5 - 2015-05-28 19:37 - Andrei Buium

- % Done changed from 50 to 100

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

The CN API tests were also checked against the WebTester. The results didn't match up in some cases; looked into the differences and created new

redmine issues where necessary.
